# Certbot authentication hooks for knot DNS

KnotDNS is my preferred authoritative DNS, so I wrote these quick scripts for certbot authentication.  
There are two versions, one for when the DNS is being hosted at the same location as the certbot request, 
and one for where we have to send a DNS update to the authoritative DNS server, such as when behind an 
dynamic IP.

To use, simply run the certbot command with the following flags:
certbot certonly --manual --preferred-challenges=dns --manual-public-ip-logging-ok --manual-auth-hook /path/to/certbot_knot_hooks/same-server-authenticator-hook.sh --manual-cleanup-hook /path/to/certbot_knot_hooks/same-server-cleanup-hook.sh a.test.example.com
